%define name	cksfv
%define version	1.3
%define release	4mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Simple File Verification program
License:	GPL
Group:		File tools
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.bash-completion.bz2
URL:		http://www.fodder.org/cksfv
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
cksfv (Check SFV) can create sfv (Simple File Verification) listings and test
already created sfv files.  Uses the crc32 checksum.
This format is common in the Windows world.

%prep
%setup -q
bzcat %{SOURCE1} > %{name}.bash-completion

%build
%make

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{_bindir}
install -m 755 src/cksfv %{buildroot}%{_bindir}

install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
install -m 644 %{name}.bash-completion $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/%{name}

%clean
rm -rf %buildroot

%files
%defattr(-, root, root)
%doc COPYING ChangeLog README TODO INSTALL
%{_bindir}/cksfv
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}

%changelog
* Tue Dec 30 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.3-4mdk
- added bash-completion

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3-3mdk
- rebuild

* Fri Dec  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3-2mdk
- build release

* Thu Nov 15 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.3-1mdk
- adapted for Mandrake

* Thu Dec 28 2000 Bryan Call  <bc@fodder.org>
- version 1.2
- Fixed the a problem when making a new sfv it was not being zero
padded (found by Justin Head and Andre Tertling).
- Added the idea, when insensitive matching is activated, it will treat
"_" and " " equal. For example it will treat "foo_bar.txt" and
"Foo Bar.txt" the same (suggested and patch given by Andree Borrmann).
- Made it so it will not choke on blank lines.

* Thu May 18 2000 Bryan Call  <bc@fodder.org>
- version 1.1
- Added verbose to the program.  Now the program will list what file it
is working on and the status of the file.  When it is finished it will
display a final result, if it encountered any errors or not, and it
will print the bell character. You can turn this off with the -q option
(quiet).
- Moved some functions around a some other minor stuff.

* Tue May 16 2000 Bryan Call  <bc@fodder.org>
- version 1.0
- This is the first version that has been released for public
consumption.  Hopefully, I have worked out most of the bugs. I have
this working on FreeBSD 3.4 and Redhat 6.1 (i386).
